<?php

/**
 * oslim functions for getting inline styles from theme customizer
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package oslim
 */

if (!function_exists('oslim_theme_customizer_styles')) :
	function oslim_theme_customizer_styles()
	{

		// oslim color option

		$oslim_inline_style = '';
		$oslim_inline_style .= ':root {
			--oslim-base: ' . get_theme_mod('theme_base_color', sanitize_hex_color('#ff613c')) . ';
			--oslim-base-rgb: ' . oslim_hex_to_rgb(get_theme_mod('theme_base_color', sanitize_hex_color('#ff613c'))) . ';
			--oslim-black: ' . get_theme_mod('theme_black_color', sanitize_hex_color('#191825')) . ';
			--oslim-black-rgb: ' . oslim_hex_to_rgb(get_theme_mod('theme_black_color', sanitize_hex_color('#191825'))) . ';
		}';

		$oslim_inner_banner_bg = get_theme_mod('page_header_bg_image');
		$oslim_inline_style .= '.page-header-bg { background-image: url(' . $oslim_inner_banner_bg . '); } ';

		$oslim_preloader_icon = get_theme_mod('preloader_image');
		if ($oslim_preloader_icon) {
			$oslim_inline_style .= '.preloader .preloader__image { background-image: url(' . $oslim_preloader_icon . '); } ';
		}

		if (is_page()) {


			$oslim_page_base_color = empty(get_post_meta(get_the_ID(), 'oslim_base_color', true)) ? get_theme_mod('theme_base_color', sanitize_hex_color('#ff613c')) : get_post_meta(get_the_ID(), 'oslim_base_color', true);

			$oslim_page_black_color = empty(get_post_meta(get_the_ID(), 'oslim_black_color', true)) ? get_theme_mod('theme_black_color', sanitize_hex_color('#191825')) : get_post_meta(get_the_ID(), 'oslim_black_color', true);

			$oslim_inline_style .= ':root {
				--oslim-base: ' . $oslim_page_base_color . ';
				--oslim-base-rgb: ' . oslim_hex_to_rgb($oslim_page_base_color) . ';
				--oslim-black: ' . $oslim_page_black_color . ';
				--andesti-black-rgb: ' . oslim_hex_to_rgb($oslim_page_black_color) . ';
			}';

			$oslim_page_header_bg = empty(get_post_meta(get_the_ID(), 'oslim_set_header_image', true)) ? get_theme_mod('page_header_bg_image') : get_post_meta(get_the_ID(), 'oslim_set_header_image', true);

			$oslim_inline_style .= '.page-header-bg { background-image: url(' . $oslim_page_header_bg . '); }';
		}


		wp_add_inline_style('oslim-style', $oslim_inline_style);
	}
endif;

add_action('wp_enqueue_scripts', 'oslim_theme_customizer_styles');
