<?php

/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package oslim
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('news-sidebar__single'); ?>>

	<?php oslim_post_thumbnail(); ?>

	<div class="news-sidebar__content-box">
		<?php oslim_post_categories(get_the_ID()); ?>
		<ul class="list-unstyled news-sidebar__meta ml-0">
			<li><?php oslim_posted_on(); ?></li>
			<li><span>/</span></li>
			<li><?php oslim_posted_by(); ?></li>
			<?php if (!is_single() && !post_password_required() && (comments_open() || get_comments_number())) : ?>
				<li><span>/</span></li>
				<li><?php oslim_comment_count(); ?></li>
			<?php endif; ?>
		</ul>
		<h3 class="news-sidebar__title">
			<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
		</h3>
		<?php $oslim_excerpt_count = apply_filters('oslim_excerpt_count', 39); ?>
		<p class="news-sidebar__text"><?php oslim_excerpt($oslim_excerpt_count); ?></p>
		<div class="news-sidebar__bottom">
			<a href="<?php the_permalink(); ?>" class="news-sidebar__read-more"><?php esc_html_e('Read More', 'oslim') ?></a>
		</div>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->