<?php

/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package oslim
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php oslim_post_thumbnail(); ?>

	<div class="news-details__content clearfix">
		<?php if ('post' === get_post_type()) : ?>
			<ul class="list-unstyled news-details__meta ml-0">
				<li><?php oslim_posted_on(); ?></li>
				<li><span>/</span></li>
				<li><?php oslim_posted_by(); ?></li>
			</ul>
		<?php endif; ?>
		<?php
		the_content(
			sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					esc_html__('Continue reading', 'oslim') . '<span class="screen-reader-text"> "%s"</span>',
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				wp_kses_post(get_the_title())
			)
		);

		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . esc_html__('Pages:', 'oslim'),
				'after'  => '</div>',
			)
		);
		?>
	</div>
	<div class="news-details__bottom">
		<?php oslim_entry_footer(); ?>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->