<?php

/**
 * Template part for displaying footer
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package oslim
 */
?>


<?php
$oslim_page_id     = get_queried_object_id();
$oslim_custom_footer_status = !empty(get_post_meta($oslim_page_id, 'oslim_custom_footer_status', true)) ? get_post_meta($oslim_page_id, 'oslim_custom_footer_status', true) : 'off';

$oslim_custom_footer_id = '';
if ((is_page() && 'on' === $oslim_custom_footer_status) || (is_singular('portfolio') && 'on' === $oslim_custom_footer_status) || (is_singular('service') && 'on' === $oslim_custom_footer_status)) {
	$oslim_custom_footer_id = get_post_meta($oslim_page_id, 'oslim_select_custom_footer', true);
} elseif (true == get_theme_mod('footer_custom')) {
	$oslim_custom_footer_id = get_theme_mod('footer_custom_post');
} else {
	$oslim_custom_footer_id = 'default_footer';
}

$oslim_dynamic_footer = isset($_GET['custom_footer_id']) ? $_GET['custom_footer_id'] : $oslim_custom_footer_id;
?>


<?php if ('default_footer' == $oslim_dynamic_footer) : ?>

	<footer class="site-footer default-footer">
		<div class="site-footer__bottom">
			<div class="container">
				<div class="row">
					<div class="col-xl-12">
						<div class="site-footer__bottom-inner">
							<p class="site-footer__bottom-text"><?php echo wp_kses(get_theme_mod('footer_copytext', esc_html__('&copy; Copyright 2022 by Oslim WordPress Theme', 'oslim')), 'oslim_allowed_tags'); ?>
							</p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</footer>

<?php else : ?>
	<?php echo do_shortcode('[oslim-footer id="' . $oslim_dynamic_footer . '"]');
	?>
<?php endif; ?>