<?php

/**
 * Template part for displaying Page Header
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package oslim
 */
?>

<!--Page Header Start-->
<section class="page-header">
	<div class="page-header-bg"></div><!-- /.page-header__bg -->
	<div class="page-header-shape-1 float-bob-x-6"></div>
	<div class="page-header-shape-2 float-bob-x-7"></div>
	<div class="container">
		<div class="page-header__inner">
			<?php $oslim_page_meta_breadcumb_status = empty(get_post_meta(get_the_ID(), 'oslim_show_page_breadcrumb', true)) ? 'on' : get_post_meta(get_the_ID(), 'oslim_show_page_breadcrumb', true); ?>
			<?php if (function_exists('bcn_display') && 'on' == get_theme_mod('breadcrumb_opt', 'off') && 'on' == $oslim_page_meta_breadcumb_status) : ?>
				<ul class="breadcrumbs thm-breadcrumb" typeof="BreadcrumbList" vocab="https://schema.org/">
					<?php bcn_display_list(); ?>
				</ul>
			<?php endif; ?>

			<?php $oslim_page_title_text = !empty(get_post_meta(get_the_ID(), 'oslim_set_header_title', true)) ? get_post_meta(get_the_ID(), 'oslim_set_header_title', true) : get_the_title(); ?>
			<h2>
				<?php if (!is_page()) : ?>
					<?php oslim_page_title(); ?>
				<?php else : ?>
					<?php echo wp_kses($oslim_page_title_text, 'oslim_allowed_tags') ?>
				<?php endif; ?>
			</h2>
		</div>
	</div>
</section>
<!--Page Header End-->